Skip to main content
GET
/
plans
cURL
curl --request GET \
  --url https://sandbox.withclasp.com/plans \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.withclasp.com/plans"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.withclasp.com/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "next": "<string>",
  "previous": "<string>",
  "results": [
    {
      "id": "<string>",
      "plan_name": "<string>",
      "plan_type": "<string>",
      "group": "<string>",
      "effective_start": "2023-12-25",
      "effective_end": "2023-12-25",
      "member_count": 123,
      "dependent_count": 123,
      "requires_primary_care_provider": true,
      "plan_details": "<unknown>",
      "plan_summary_url": "<string>",
      "is_low_cost": true,
      "provides_minimum_value": true,
      "provides_essential_coverage": true,
      "dependent_coverage_excluded": true,
      "spouse_coverage_excluded": true,
      "bundle": "<string>",
      "partner_dependents_eligible": true,
      "child_dependents_eligible": true,
      "voluntary_coverage_options": {},
      "plan_configurations": [
        "<string>"
      ],
      "required_enrollment": true,
      "hsa_eligible": true,
      "is_pre_tax": true,
      "cobra_eligible": true,
      "max_contributing_children": 123,
      "required_regions": [],
      "minimum_hours_worked": 123,
      "base_spouse_age_off_member": 123,
      "newly_available": true,
      "allowed_employment_statuses": [
        "full_time",
        "part_time"
      ],
      "union_eligible": true,
      "seasonal_eligible": true,
      "partner_enrollment_required": true,
      "child_enrollment_required": true,
      "create_payroll_benefits": true,
      "metadata": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key authentication with required prefix "Bearer"

Query Parameters

connection
string
cursor
string

The pagination cursor value.

effective_on
string
employer
string
line_of_coverage
enum<string>
  • accident - Accident
  • accidental_death - Accidental Death and Dismemberment
  • cancer - Cancer
  • commuter_parking - Commuter Parking
  • commuter_transit - Commuter Transit
  • dental - Dental
  • dependent_care_fsa - Dependent Care Flexible Spending Account
  • healthcare_fsa - Healthcare Flexible Spending Account
  • hospital_indemnity - Hospital Indemnity
  • hsa - Health Savings Account
  • life - Life
  • limited_purpose_fsa - Limited Purpose Flexible Spending Account
  • long_term_disability - Long Term Disability
  • lump_sum_disability - Lump Sum Disability
  • medical - Medical
  • short_term_disability - Short Term Disability
  • supplemental - Supplemental
  • telemedicine - Telemedicine
  • vision - Vision
  • voluntary_accidental_death - Voluntary Accidental Death
  • voluntary_critical_illness - Voluntary Critical Illness
  • voluntary_life - Voluntary Life
  • voluntary_short_term_disability - Voluntary Short Term Disability
Available options:
accident,
accidental_death,
cancer,
commuter_parking,
commuter_transit,
dental,
dependent_care_fsa,
healthcare_fsa,
hospital_indemnity,
hsa,
life,
limited_purpose_fsa,
long_term_disability,
lump_sum_disability,
medical,
short_term_disability,
supplemental,
telemedicine,
vision,
voluntary_accidental_death,
voluntary_critical_illness,
voluntary_life,
voluntary_short_term_disability
page_size
integer

Number of results to return per page.

Response

200 - application/json
next
string | null
previous
string | null
results
object[]